View Issue Details

IDProjectCategoryView StatusLast Update
0006235Talerwallet (TS core)public2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006235: wallet should use TALER_EC_* codes consistently
DescriptionCurrently most errors don't have an EC.
TagsNo tags attached.

Activities

Christian Grothoff

2020-05-13 18:02

manager   ~0015887

Related: we should migrate the EC codes from taler-util.git to GANA, and use the recutils templating mechanism to (easily!) generate the C header as well as code for other languages.

The GANA scheme should include:
- subsystem prefix (i.e. EXCHANGE, MERCHANT, SYNC, ANASTASIS)
- EC name (-> TALER_EC_${SUBSYSTEM}_${NAME})
- numeric EC code
- associated HTTP status code
- description

Christian Grothoff

2020-05-14 00:22

manager   ~0015888

I've now setup the basics for the GANA gnu-taler-error-codes registry. What is missing is converting the existing Python code into the rec format.

Florian Dold

2020-08-20 15:42

manager   ~0016684

The wallet is now using error codes consistently.

Some error codes are still relatively generic and should be refined, but that should be tracked by separate issues once this comes up.

Issue History

Date Modified Username Field Change
2020-05-12 14:06 Florian Dold New Issue
2020-05-12 14:06 Florian Dold Assigned To => Florian Dold
2020-05-12 14:06 Florian Dold Status new => assigned
2020-05-13 18:02 Christian Grothoff Note Added: 0015887
2020-05-14 00:22 Christian Grothoff Note Added: 0015888
2020-08-20 08:03 Florian Dold Category wallet (JS core) => wallet (TS core)
2020-08-20 15:42 Florian Dold Status assigned => resolved
2020-08-20 15:42 Florian Dold Resolution open => fixed
2020-08-20 15:42 Florian Dold Note Added: 0016684
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed